> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a persona's role

> Updates the role of the specified persona.



## OpenAPI

````yaml /autogenerated/openapi/cis.openapi.json patch /personas/{personaId}/role
openapi: 3.1.0
info:
  title: CIS API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /personas/{personaId}/role:
    patch:
      tags:
        - People
      summary: Update a persona's role
      description: Updates the role of the specified persona.
      operationId: updatePersonaRole
      parameters:
        - name: personaId
          in: path
          required: true
          schema:
            description: The ID of the persona to work with.
            type:
              - string
            format: uuid
            maxLength: 36
            example: 8e214819-5c83-429f-a976-eb127a0a8a88
        - name: accountId
          in: query
          schema:
            type:
              - string
            description: The ID of the account to work with.
            example: F50091
          required: true
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type:
                - object
              properties:
                roleName:
                  type:
                    - string
                  enum:
                    - Owner
                    - Admin
                    - Payer
                    - Viewer
                    - Accountant
                    - User
                  description: >-
                    The name of the new role that you want to assign to the
                    persona.
                  example: Accountant
              required:
                - roleName
              example:
                roleName: Accountant
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  name:
                    type:
                      - string
                    enum:
                      - Owner
                      - Admin
                      - Payer
                      - Viewer
                      - Accountant
                      - User
                    description: The persona's newly-assigned role.
                    example: Accountant
                required:
                  - name
                example:
                  name: Accountant
      security:
        - CommonAuth:
            - roles:assign
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request PATCH \
              --url 'https://api.equalsmoney.com/v2/personas/{personaId}/role?accountId={{accountId}}' \
              --header 'Authorization: <api-key>' \
              --header 'Content-Type: application/json' \
              --data '
            {
              "roleName": "Accountant"
            }
            '
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````